#ifndef _EDIT_MIDEA_H_
  #define _EDIT_MIDEA_H_

  // we use my sWiFi.h lib.: a very easy to use ESP32 WiFi, static IP, OTA, Time, Weather and WeSocket library
  // =====================
  #define USE_IP    true  // if using a static IP (is needed with: USE_WS)
  #define USE_OTA   true  // ArduinoOTA
  #define USE_TIME  true  // NTP, date, time, timezone, DST/Summertime /** my simpleLIB library: sMsecTime.h       **/
  #define USE_WTHR  true  // Weather, Sunrise, Sunset                  /**                       sOpenweathermap.h **/
  #define USE_WS    true  // WebSockets Server         /** library: https://github.com/Links2004/arduinoWebSockets **/

  #include <sMideaIR.h>         // (simpleLib)

  const byte    irPin =    4@,  //  use a digital port
               tmpPin =   23@,  // DS18B20 in/out IO-pin
             antiYoyo =   10@;  // anti yoyo minutes
  const float tmpComp = -3.1@;  // DS18B20 temperature compensation in *C
  const char  tmpMode =  'C'@;  // DS18B20 temperature mode: C, F, K

  /** wifi, OTA and websocket **/
  const char *ssid = "edit"@,
         *password = "edit"@,
          *myOtaID = "mideaDoitDev1",  // Hostname OTA
       *wsURI = "/",           // WebSocket URI,       also in HTML (your sMidea.html)
       *wsProtocol = "MiDeA";  // WebSocket Protocol,  also in HTML
  const uint16_t wsPort = 82;  // Websocket Port,      also in HTML
  IPAddress local_IP(192, 168, 178, 175)@,  // if using a static IP edit the values
          gateway_IP(192, 168, 178,   1)@,
           subnet_IP(255, 255, 255,   0);
  /** Openweathermap **/
  char *lat = "52.0000"@,
       *lon =  "5.0000"@,
    * units = "metric",  // 'metric' or 'imperial'
       *key =    "edit"@;
  /** List of timezones https://sites.google.com/a/usapiens.com/opnode/time-zones **/
  char * timeZone = "CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00"@;  // EU Amsterdam/Barcelona with Summertime (DST)
                /** "EST5EDT,M3.2.0,M11.1.0";// USA Eastern Time with DST **/
                /** "CET-1";// EU Amsterdam/Barcelona NO DST/Summertime) **/
  const time_t syncTime = 12 * 3600;  // NTP time sync interval in sec. if 0 then NOT used
  #include <sWiFi.h>  // simpleLib  -  always under the above declarations

  // ==========================================================
  // switching times, temperatures in *C, mode and commands
  // values can be changed and reset with the users HTML module
  // ==========================================================

  struct MIDEA {@  // init values
    byte stat =  0,  // 0: automatically, 1: continuous OFF, 2: continuous ON
         hhOn = 10,  // ON time hh
         mmOn = 15,  // ON time mm
        hhOff = 22,  // OFF time hh
        mmOff =  0,  // OFF time mm
        tmpIn = 23,  // temp inside, 17, 18, 19, 20, ...., 29, 30
       tmpOut = 25,  // temp outside
         mode =  1,  // mode       | 1:coolMod, 2:heatMod
          fan =  1,  // fan speed  | 1:lowFan,  2:midFan,  3:highFan,   4:autoFan
          cmd =  0;  // commands   | 1:onAC,    2:offAC,   3:deflectAC, 4:oscilAC, 5:turboAC, 0=nothing
  };

#endif
